सामग्री पर जाएँ

Z Image Turbo Inpaint Lora

इंटीग्रेट करें

मॉडल id z-image/turbo/inpaint/lora
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/z-image/turbo/inpaint/lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.035 35 API क्रेडिट · ≈ ₽3.77 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Alibaba · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इमेज निर्माण का मार्गदर्शन करने वाला प्रॉम्प्ट।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

इनपेंटिंग के इनपुट के रूप में इस्तेमाल किया गया इमेज URL।

•आवश्यक
फ़ाइल ड्रॉप करें, या

इनपेंटिंग के इनपुट के रूप में इस्तेमाल किया गया मास्क URL।

image_size डिफ़ॉल्ट auto

निर्मित इमेज के आयाम।

num_images डिफ़ॉल्ट 1

निर्माण के लिए अनुरोधित इमेज की संख्या।

उन्नत output_format · acceleration · num_inference_steps · control_scale · control_start · control_end · strength · seed · enable_safety_checker · enable_prompt_expansion · loras
output_format डिफ़ॉल्ट png

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

acceleration डिफ़ॉल्ट regular

प्रोसेसिंग पर लागू त्वरण स्तर।

डिफ़ॉल्ट 8

चलाए जाने वाले inference चरणों की संख्या।

डिफ़ॉल्ट 0.75

ControlNet द्वारा लागू conditioning की strength।

डिफ़ॉल्ट 0

ControlNet कंडीशनिंग का शुरुआती बिंदु।

डिफ़ॉल्ट 0.8

ControlNet कंडीशनिंग का अंतिम बिंदु।

डिफ़ॉल्ट 1

इनपेंटिंग की कंडीशनिंग स्ट्रेंथ।

दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।

डिफ़ॉल्ट []

लागू किए जाने वाले LoRA weights, अधिकतम 3 प्रविष्टियों तक सीमित।

POST /run/z-image/turbo/inpaint/lora?wait=20 कोटेशन → $0.035
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/z-image/turbo/inpaint/lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Z Image Turbo Inpaint Lora के बारे में

`mask_image_url` द्वारा `image_url` पर परिभाषित क्षेत्र में इनपेंटिंग करता है, `prompt` के मार्गदर्शन में काम करता है और `loras` से कस्टम LoRA वेट लागू करता है (अधिकतम 3)। `strength` की सीमा 0-1 है और डिफ़ॉल्ट 1 है; नियंत्रण स्केल, प्रारंभ और अंत समायोजित किए जा सकते हैं। png, jpeg या webp में अधिकतम 8 चरणों पर 1-4 इमेज बनाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
इमेज निर्माण का मार्गदर्शन करने वाला प्रॉम्प्ट।
image_sizeवैकल्पिक
प्रकारobject
डिफ़ॉल्टauto
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto
निर्मित इमेज के आयाम।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट8
1 – 8
चलाए जाने वाले inference चरणों की संख्या।
seedवैकल्पिक
प्रकारinteger | null
दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
निर्माण के लिए अनुरोधित इमेज की संख्या।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
सुरक्षा जाँच, जो असुरक्षित चिह्नित इमेज के स्थान पर काली इमेज लौटाती है। true मान जाँच सक्षम करता है; false इसे केवल अधिकृत खातों के लिए अक्षम करता है, जबकि बिना प्राधिकरण वाले अनुरोधों की जाँच हमेशा की जाती है।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
accelerationवैकल्पिक
प्रकारenum
डिफ़ॉल्टregular
noneregularhigh
प्रोसेसिंग पर लागू त्वरण स्तर।
enable_prompt_expansionवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
नियंत्रित करता है कि प्रॉम्प्ट विस्तार सक्षम है या नहीं।
image_urlआवश्यक image
प्रकारurl · image
इनपेंटिंग के इनपुट के रूप में इस्तेमाल किया गया इमेज URL।
control_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.75
0 – 1
ControlNet द्वारा लागू conditioning की strength।
control_startवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0
0 – 1
ControlNet कंडीशनिंग का शुरुआती बिंदु।
control_endवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.8
0 – 1
ControlNet कंडीशनिंग का अंतिम बिंदु।
mask_image_urlआवश्यक
प्रकारurl · image
इनपेंटिंग के इनपुट के रूप में इस्तेमाल किया गया मास्क URL।
strengthवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
≤ 1> 0
इनपेंटिंग की कंडीशनिंग स्ट्रेंथ।
lorasवैकल्पिक
प्रकारobject[]
डिफ़ॉल्ट[]
लागू किए जाने वाले LoRA weights, अधिकतम 3 प्रविष्टियों तक सीमित।
loras[].pathआवश्यक
प्रकारstring
LoRA वेट का स्थान, URL या owner/repo फ़ॉर्मैट में HuggingFace रिपॉज़िटरी ID के रूप में दिया गया।
loras[].scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0 – 4
LoRA पर लागू किया गया स्केलिंग फ़ैक्टर, 0.0 से 4.0 तक।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "z-image/turbo/inpaint/lora",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}निर्मित इमेज की फ़ाइल जानकारी।
timings
objectनिर्माण प्रक्रिया के लिए समय संबंधी जानकारी।
seed
integerइमेज-निर्माण seed, जिसमें इनपुट में seed न दिए जाने पर यादृच्छिक रूप से चुना गया मान शामिल है; अन्यथा, यह दिए गए मान को दोहराता है।
has_nsfw_concepts
array of booleanबताता है कि बनाई गई इमेज में NSFW अवधारणाएँ दिखाई देती हैं या नहीं।
prompt
stringइमेज निर्माण के दौरान उपयोग किया गया प्रॉम्प्ट।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/z-image/turbo/inpaint/lora.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt